Subject: Sorry found the answer (RE: [Sip] sips if possible, sip if not. - a question on sip-sips-03 draft)

From: "Attila Sipos" <[email-masked]>
Date: Thu, 17 May 2007 09:58:15 +0100

Sorry... found my answer....

While guessing a SIPS AOR from a known SIP
   AOR and using it to initiate a request is a valid thing to do, doing
   the opposite (i.e., guessing a SIP AOR from a SIPS AOR and using it)
   is not a valid thing to do as it would be a security downgrade.

   Although "downgrading" from SIPS to SIP is disallowed, it is possible
   that a redirect server or UAS sends a 3XX response to a request to a

Audet                   Expires October 15, 2007                [Page 8]
 
Internet-Draft                    SIPS                        April 2007

   SIPS URI with a contact header field containing a SIP URI.
   [RFC3261]/8.1.3.4 states that if the UAC decide to recurse to the SIP
   URI, it "SHOULD inform the user".  When a proxy is handling the 3XX,
   it can obviously not indicate anything to the user that it is being
   redirected from SIPS to SIP: therefore, proxies would not be able
   recurse on the contact header field, and instead would either forward
   the 3XX to the UAC or reject the request.

-----Original Message-----
From: Attila Sipos 
Sent: 17 May 2007 09:52
To: [email-masked]
Subject: [Sip] sips if possible,sip if not. - a question on sip-sips-03
draft

What if you want to use sips where possible but don't mind a fallback
to sip?

So, if someone makes a call using sips in request URI and
the called person doesn't have a sips URI registered, I guess the
proxy will return 404 not found.

So then then caller might say, ok, there isn't a sips URI, I will now
try a sip URI and see if that works.

The problem is that the called person might not have registered anything
at all.  So in such cases, the 2nd call attempt using sip is a waste.

Is there a requirement for some kind of new SIP response code which
says something like "no SIPS URI registered but there is a SIP one"?

What are the potential problems with this idea?

Regards,

	Attila

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Thu, 17 May 2007 12:27:50 -0500

>    the 3XX to the UAC or reject the request.

I wonder if it would be worth making an explicit suggestion in the  
SIPS that proxies provide a 302 if they receive a SIPS request for an  
AOR for which they have only a SIP binding? We could also make a  
stronger recommendtation that if you don't know whether an AOR is  
SIPS or SIP you would try SIPS first and expect a 302 if you guess  
wrong. This could reduce the inclination for people to try SIP first.

--
Dean

---

From: Spencer Dawkins <[email-masked]>
Date: Thu, 17 May 2007 13:52:19 -0500

Hi, Dean,

> I wonder if it would be worth making an explicit suggestion in the  SIPS 
> that proxies provide a 302 if they receive a SIPS request for an  AOR for 
> which they have only a SIP binding? We could also make a  stronger 
> recommendtation that if you don't know whether an AOR is  SIPS or SIP you 
> would try SIPS first and expect a 302 if you guess  wrong. This could 
> reduce the inclination for people to try SIP first.

This seems very helpful (perhaps even "required" - I don't know how UACs 
know how to fall back without this type of guidance).

Thanks,

Spencer

---

From: "Francois Audet" <[email-masked]>
Date: Fri, 18 May 2007 10:25:03 -0500

Yes, that has been added to the current working draft.

But, it's not necessarily 302 (it could be 301 for example). And certain
proxies may elect to just plainly reject it. That's all covered in the
current
working draft. 

> From: Spencer Dawkins [mailto:[email-masked]] 
> Sent: Thursday, May 17, 2007 11:52
> To: Dean Willis; Attila Sipos
> Cc: [email-masked]
> Subject: Re: Sorry found the answer (RE: [Sip] sips if 
> possible, sip if not. - a question on sip-sips-03 draft)
> 
> Hi, Dean,
> 
> This seems very helpful (perhaps even "required" - I don't 
> know how UACs know how to fall back without this type of guidance).
> 
> Thanks,
> 
> Spencer 
> 
> 
> 
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip